Skip to main content
POST
Spree Admin SDK

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Path Parameters

company_id
string
required

Body

application/json
customer_id
string

An existing customer, who becomes a member immediately. Send this or customer_email.

Example:

"cus_UkLWZg9DAJ"

customer_email
string

An existing customer becomes a member immediately; an unknown email becomes an invitation, and the response is an invitation instead of a membership. Send this or customer_id.

Example:

"buyer@example.com"

metadata
object

Response

201 - application/json

member added